petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecCUSPReplaceArray

Allows one to replace the CUSPARRAY in a vector with a CUSPARRAY provided by the user. This is useful to avoid copying a CUSPARRAY into a vector.

### Synopsis

    PetscErrorCode VecCUSPReplaceArray(Vec vin,CUSPARRAY *a)

Not Collective

### Input Parameters

| vec | - the vector
| array | - the CUSPARRAY

### Notes

This permanently replaces the CUSPARRAY and frees the memory associated with the old CUSPARRAY.

The memory passed in CANNOT be freed by the user. It will be freed when the vector is destroy.

Not supported from Fortran

### See Also

VecGetArray(), VecRestoreArray(), VecPlaceArray(), VecResetArray(), VecCUSPResetArray(), VecCUSPPlaceArray(), VecReplaceArray()

Level:developer
Location:src/vec/vec/impls/seq/seqcusp/veccusp2.cu
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages